Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.dgmimpl.arrays
Class ArrayMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ArrayGetAtMetaMethod, ArrayPutAtMetaMethod

    public abstract class ArrayMetaMethod

extends CallSiteAwareMetaMethod

Field Summary
`protected static CachedClass` | `INTEGER_CLASS`
`protected static CachedClass[]` | `INTEGER_CLASS_ARR`

Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes
`isVargsMethod, nativeParamTypes, parameterTypes`

Constructor Summary
`ArrayMetaMethod()`

Method Summary
`int` | `getModifiers()`
`protected static int` | `normaliseIndex(int i, int size)`

Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
`createPojoCallSite`

Methods inherited from class groovy.lang.MetaMethod
`checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes
`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTEGER_CLASS

    protected static final CachedClass INTEGER_CLASS

### INTEGER_CLASS_ARR

    protected static final CachedClass[] INTEGER_CLASS_ARR

Constructor Detail

### ArrayMetaMethod

    public ArrayMetaMethod()

Method Detail

### normaliseIndex

    protected static int normaliseIndex(int i,
                                        int size)

### getModifiers

    public int getModifiers()

  Specified by:
    `getModifiers` in class `MetaMethod`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD